> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user's organization access and security settings

> Returns the organization's access and security settings. `autoUserActivation` is `null` when the organization's edition does not support it.



## OpenAPI

````yaml /openapi/phrase-tms-all.json get /api2/v1/organizations/accessSettings
openapi: 3.0.0
info:
  description: |-
    Welcome to Phrase's TMS API documentation. 

     Please visit our [help center](https://support.phrase.com/hc/en-us/sections/5709662083612) for more information about the APIs. 

     If you have any questions, please contact [Support](https://support.phrase.com/hc/requests/new). 

     Please, include the `User-Agent` header with the name of your application or project. It might be a good idea to include some sort of contact information as well, so that we can get in touch if necessary. Examples of excellent `User-Agent` headers:
     > User-Agent: Example mobile app (example@phrase.com) <br/> User-Agent: ACME Inc Java 1.8 Client (http://acmeinc.com/contact)
  version: All
  title: Phrase TMS API
servers:
  - url: https://cloud.memsource.com/web
security:
  - ApiToken: []
  - OAuth2: []
tags:
  - name: Additional Workflow Step
  - name: Analysis
  - name: Async Request
  - name: Authentication
  - name: Automations
  - name: Bilingual File
  - name: Business Unit
  - name: Buyer
  - name: Client
  - name: Connector
  - name: Conversations
  - name: Cost Center
  - name: Custom Fields
  - name: Custom File Type
  - name: Domain
  - name: Due Date Scheme
  - name: Email Template
  - name: File
  - name: Glossary
  - name: Import settings
  - name: Job
  - name: Language AI
  - name: Language Assets
  - name: Language Quality Assessment
  - name: Machine Translation
  - name: Machine Translation Settings
  - name: Mapping
  - name: Metabase
  - name: Net Rate Scheme
  - name: Notifications
  - name: Price List
  - name: Project
  - name: Project Template
  - name: Provider
  - name: Quality Assurance
  - name: Quality Profile
  - name: Quote
  - name: Reference File
  - name: Segment
  - name: Segmentation Rules
  - name: Service
  - name: Setup
  - name: Spell Check
  - name: SubDomain
  - name: Supported Languages
  - name: Term Base
  - name: Translation
  - name: Translation Memory
  - name: User
  - name: User Profile
  - name: Vendor
  - name: Webhook
  - name: Workflow Step
  - name: Workflow changes
  - name: XML Assistant
paths:
  /api2/v1/organizations/accessSettings:
    get:
      tags:
        - Setup
      summary: Get user's organization access and security settings
      description: >-
        Returns the organization's access and security settings.
        `autoUserActivation` is `null` when the organization's edition does not
        support it.
      operationId: getCurrentOrganizationAccessSettings
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecuritySettingsDtoV1'
        '400':
          description: Bad request
        '401':
          description: Not authorized
        '403':
          description: Forbidden
        '404':
          description: Resource not found
        '405':
          description: Method not allowed
        '408':
          description: Timeout
        '410':
          description: Gone
        '415':
          description: Unsupported media type
        '429':
          description: Too many requests
        '500':
          description: Internal server error
        '501':
          description: Not implemented
components:
  schemas:
    SecuritySettingsDtoV1:
      type: object
      properties:
        allowAccountSupport:
          type: boolean
        allowLoadingExternalContentInEditors:
          type: boolean
        allowLoadingIframes:
          type: boolean
        allowedDomains:
          type: array
          items:
            type: string
        autoUserActivation:
          type: boolean
        ccEmailEnabled:
          type: boolean
        downloadEnabled:
          type: boolean
        emailNotifications:
          type: boolean
        linguistsMayDownloadLqaReport:
          type: boolean
        linguistsMayEditLockedSegments:
          type: boolean
        linguistsMayEditSource:
          type: boolean
        linguistsMayEditTagContent:
          type: boolean
        notifyJobOwnerStatusChanged:
          type: boolean
        notifyJobOwnerStatusChangedTemplateUid:
          type: string
        notifyReference:
          type: boolean
        notifyReferenceGroups:
          type: string
        notifyReferenceTemplateUid:
          type: string
        notifyUserMentionOrComment:
          type: boolean
        notifyUserMentionOrCommentTemplateUid:
          type: string
        secureEmailSendingProcessLegacyBehaviorEnabled:
          type: boolean
        sessionTimeoutMinutes:
          type: integer
          format: int32
        showUserDataToLinguists:
          type: boolean
        strictWorkflowFinish:
          type: boolean
        triggerWebhooks:
          type: boolean
        trustedAddressesSettings:
          $ref: '#/components/schemas/TrustedAddressesSettingsDtoV1'
        useHttpsForWebhooks:
          type: boolean
        useVendors:
          type: boolean
        userMaySetInstantQA:
          type: boolean
        usernamesDisplayedInLqaReport:
          type: boolean
        usersMaySetAutoPropagation:
          type: boolean
        vendors:
          $ref: '#/components/schemas/GetVendorSecuritySettingsDtoV1'
        webEditorEnabledForLinguists:
          type: boolean
    TrustedAddressesSettingsDtoV1:
      type: object
      required:
        - settingsType
      properties:
        adminPm:
          $ref: '#/components/schemas/TrustedAddressesDtoV1'
        allRoles:
          $ref: '#/components/schemas/TrustedAddressesDtoV1'
        guestSubmitter:
          $ref: '#/components/schemas/TrustedAddressesDtoV1'
        linguist:
          $ref: '#/components/schemas/TrustedAddressesDtoV1'
        settingsType:
          type: string
          enum:
            - BASIC
            - ADVANCED
    GetVendorSecuritySettingsDtoV1:
      type: object
      properties:
        canChangeSharedJobDueDate:
          type: array
          items:
            $ref: '#/components/schemas/VendorReferenceV1'
        canChangeSharedJobDueDateEnabled:
          type: boolean
        jobVendorsMayUploadReferences:
          type: boolean
    TrustedAddressesDtoV1:
      type: object
      required:
        - accessMode
      properties:
        accessMode:
          type: string
          enum:
            - ACCESS_FORBIDDEN
            - DOWNLOAD_FORBIDDEN
        trustedIpAddresses:
          type: array
          items:
            type: string
    VendorReferenceV1:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        uid:
          type: string
  securitySchemes:
    ApiToken:
      description: >-
        Get a token from `auth/login` [endpoint](#operation/login) and then pass
        it in the `Authorization` HTTP header in every subsequent API call. For
        more information visit our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#token-0-0).
      type: apiKey
      name: Authorization
      in: header
    OAuth2:
      description: >-
        A standard OAuth 2.0 authorization code flow. For more information visit
        our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#oauth-2-0-0-1).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://cloud.memsource.com/web/oauth/authorize
          tokenUrl: https://cloud.memsource.com/web/oauth/token
          scopes: {}

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.